HeaderEncodeStrategy (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.renderkit.HeaderEncodeStrategy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Interface HeaderEncodeStrategy

All Known Implementing Classes:
  AbstractTableRenderer.RichHeaderEncodeStrategy, AbstractTableRenderer.SimpleHeaderEncodeStrategy

    public interface HeaderEncodeStrategy

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent column, java.lang.String facetName, boolean sortableColumn)`
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent column, java.lang.String facetName, boolean sortableColumn, java.lang.String spacerUrl)`

Method Detail

### encodeBegin

    void encodeBegin(javax.faces.context.FacesContext context,
                     javax.faces.context.ResponseWriter writer,
                     javax.faces.component.UIComponent column,
                     java.lang.String facetName,
                     boolean sortableColumn)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeEnd

    void encodeEnd(javax.faces.context.FacesContext context,
                   javax.faces.context.ResponseWriter writer,
                   javax.faces.component.UIComponent column,
                   java.lang.String facetName,
                   boolean sortableColumn,
                   java.lang.String spacerUrl)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.